<?php

namespace ACL\Services;

use ACL\Helpers\Instances\InstanceProvider;
use ACL\Repositories\UserTrigger as UserTriggerRepository;
use ACL\Traits\TCrud;

class UserTrigger
{

    use TCrud;

    /**
     * @var \Teknisa\Libs\Util\Environment
     */
    private $libEnvironment;

    /**
     * @var UserTriggerRepository
     */
    private $userTriggerRepository;

    public function __construct(UserTriggerRepository $userTriggerRepository)
    {
        $this->userTriggerRepository = $userTriggerRepository;
        $this->libEnvironment = InstanceProvider::getLibEnvironment();
    }

    /**
     * @return array
     */
   public function findAllUserTrigger(): array
   {
       return $this->userTriggerRepository->findAllUserTrigger();
   }

   public function updateSituationTrigger($dataset)
   {
        $connection = InstanceProvider::getEntityManager()->getConnection();
        foreach ($dataset as $row) {
                $query = "ALTER TRIGGER ".$row['NMGATILHO']." ".$row['CONDITION'];
                $connection->executeQuery($query);
        }
   }

}